/*
   $Id: swu-line.c 37 2007-05-02 14:41:02Z carlo $

   swu-line: read one newline-terminated line at a time from stdin,
   in unbuffered mode.

   Copyright (c) 2003,2006 Carlo Strozzi

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 dated June, 1991.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 ****************************************************************************/

#include <unistd.h>

int main() {

   unsigned char c;

   while (read (0, &c, 1) == 1 && c != '\n') write (1, &c, 1);
   write (1, "\n", 1);
   return c != '\n';
}

/* End of program */
